/*
  Copyright (c) 2008-2009 LordZen

  This file is part of tinycalc.

  tinycalc is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  tinycalc is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with tinycalc.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef CONVERT_H_INCLUDED
#define CONVERT_H_INCLUDED

//max bits for binary number
#define MAX_BIT_BIN sizeof(unsigned long) * 8 * 2

//max bits for esadecimal number
#define MAX_BIT_HEX (sizeof(unsigned long) * 8) / 4 * 2

//convert esadecimal number to decimal number
long hex2dec(char *num);

//convert binary number to decimal number
long bin2dec(char *num);

//convert decimal number to binary number
void dec2bin(unsigned long num,char *bin);

//convert decimal number to esadecimal number
void dec2hex(unsigned long num,char *hex);

#endif // CONVERT_H_INCLUDED
